function WindCastingConfig_OnShow()
	WindCastingConfigBorder:SetAllPoints(WindCastingBorder);
	WindConfig_setUnCheckAll("WindCastingConfigBody");
	WindConfig_setCheck("WindCastingConfigBody", WindCastingConfigAll[1]);
	WindCastingConfigBodyX:SetText(WindCastingConfigAll[2]);
	WindCastingConfigBodyY:SetText(WindCastingConfigAll[3]);
	WindCastingConfigBodySCALE:SetText(string.format("%0.3f", WindCastingConfigAll[4]));
	WindCastingConfigBodyWIDTH:SetText(WindCastingConfigAll[5]);
	WindCastingConfigBodyHEIGHT:SetText(WindCastingConfigAll[6]);
	if (WindCastingConfigAll[7]) then WindCastingConfigBodyCOLOR1NormalTexture:SetVertexColor(WindCastingConfigAll[7][1].r, WindCastingConfigAll[7][1].g, WindCastingConfigAll[7][1].b, WindCastingConfigAll[7][1].a);
	WindCastingConfigBodyCOLOR2NormalTexture:SetVertexColor(WindCastingConfigAll[7][2].r, WindCastingConfigAll[7][2].g, WindCastingConfigAll[7][2].b, WindCastingConfigAll[7][2].a); end
end

function WindCastingConfigBody_setConfigPoint(point, x, y)
	WindCastingConfigAll[1] = point;
	WindCastingConfigAll[2] = x;
	WindCastingConfigAll[3] = y;
	WindCasting_setPoint();
end

function WindCastingConfigBody_setConfigX(x)
	WindCastingConfigAll[2] = x;
	WindCasting_setPoint();
end

function WindCastingConfigBody_setConfigY(y)
	WindCastingConfigAll[3] = y;
	WindCasting_setPoint();
end

function WindCastingConfigBody_setConfigScale(scale)
	WindCastingConfigAll[4] = scale;
	WindCasting_setScale();
end

function WindCastingConfigBody_getPoint()
	return WindCastingConfigAll[1];
end

function WindCastingConfigBody_setWidth(width)
	WindCastingConfigAll[5] = width;
	WindCasting_setSize();
end

function WindCastingConfigBody_setHeight(height)
	WindCastingConfigAll[6] = height;
	WindCasting_setSize();
end

function WindCastingConfigBody_setColor(color)
	if (color) then WindCasting_setColor();	end
end

function WindCastingConfigBody_resetColor()
	WindCasting_resetColor();

	local colorArray = WindCastingConfigAll[7];
	WindCastingConfigBodyCOLOR1NormalTexture:SetVertexColor(colorArray[1].r, colorArray[1].g, colorArray[1].b, colorArray[1].a);
	WindCastingConfigBodyCOLOR2NormalTexture:SetVertexColor(colorArray[2].r, colorArray[2].g, colorArray[2].b, colorArray[2].a);
end